import { Vue } from "vue-property-decorator";
import { FoundMessage } from "../types/Message";
import MessageModule from "../modules/MessageModule";
export default class SearchPage extends Vue {
    messageModule: MessageModule;
    isLoading: boolean;
    disableScroll: boolean;
    get searchQuery(): string;
    set searchQuery(value: string);
    get emptyResultText(): string;
    get messages(): FoundMessage[];
    searchMessages(ids: number[], withPaginate?: boolean): Promise<FoundMessage[]>;
    loadOnScroll(index: number, done: Function): Promise<void>;
    showAll(): void;
    search(): void;
    cancel(): void;
}
